# Шаблон веб-приложения с кастомным REST API

Кастомный импорт записей реестра. 
Данное приложение можно разместить в сервере приложений JBoss, который 
устанавливается вместе с Synergy.

## Сборка

Сборка осуществляется при помощи [Gradle Build Tool](https://gradle.org/)

```bash
$ ./gradlew war
```

1) Развернуть установочный архив <i>import.war</i><br>
2) Выполнить на сервере команду <i># mkdir /tmp/crm-import</i><br>
3) Выполнить на сервере команду <i># chmod 777 -R /tmp/crm-import</i>;<br>
4) Перейти по адресу <i>{ip}:8080/import</i>.<br>


## Описание: 

Импорт работает со следующими компонентами формы:
- текстовые однострочные и многострочные поля
- числовые поля
- дата/время
- справочники (выпадающий список, выбор вариантов, переключатель вариантов)
- ссылка на реестр